<!--
/********************************************************************************
 * Copyright © 2018 Mettenmeier GmbH.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
-->
<div class="container-fluid">
  <div class="row">
    <div class="col-md-12">
      <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
        <h1 class="h2" id="listHeader">Archiv</h1>
        <div class="btn-toolbar mb-2 mb-md-0">
          <div class="btn-group">
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="row mb-5">
    <div class="col-md-12">
      <form class="mt-3" [formGroup]="form" novalidate>
        <div class="row">
          <div class="col-md-12 col-sm-12 col-xl-6">
            <div class="row">
              <label class="form-check-label col-form-label col-md-3">
                Abfragezeit
              </label>
              <div class="col-md-4">
                <div class="form-group">
                  <div class="input-group" formGroupName="date">
                    <input class="form-control" placeholder="von" name="dp" ngbDatepicker #dateIndex="ngbDatepicker"
                      formControlName="dateIndex" id="dateFromInput" required>
                    <div class="input-group-append">
                      <button class="btn btn-outline-secondary" (click)="dateIndex.toggle()" type="button" id="dateFromPicker">
                        <i class="fa fa-calendar" aria-hidden="true"></i>
                      </button>
                    </div>
                    <div class="input-group-append">
                      <button class="btn btn-outline-secondary" (click)="formUtil.setDefaultDate(form, 'dateIndex')"
                        type="button" id="dateFromDefault" data-toggle="tooltip" data-placement="bottom" title="Auf Standardwert setzen">
                        <i class="fa fa-clock-o" aria-hidden="true"></i>
                      </button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-6">
            <div class="row">
              <div class="col-xl-3 col-md-6 col-sm-12">
                <button class="btn btn-primary btn-block" (click)="search()" id="btnSearch">suchen</button>
              </div>
              <div class="col-xl-3 col-md-6 col-sm-12">
                <button class="btn btn-primary btn-block" (click)="clear()" id="btnShowAll">Alles anzeigen</button>
              </div>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
  <div class="row">
    <div class="col-md-12">
      <ag-grid-angular style="width: 100%;" [localeText]="localeText" domLayout="autoHeight" class="ag-theme-balham"
        [enableFilter]="true" [enableSorting]="true" [rowData]="rowData" [columnDefs]="columnDefs" (gridReady)="onGridReady($event)"
        [enableColResize]="true" (rowClicked)="rowClicked($event)" pagination="true" paginationPageSize="30" id="locationGrid">
      </ag-grid-angular>
    </div>
  </div>
</div>